Bug 8217 - wvdial unuseable with USB modem
: wvdial unuseable with USB modem
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/wvdial)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-10-14 15:36 by
Modified: 2009-03-20 20:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-14 15:36:43
wvdial и wvstreams в своём текущем коде содержат ошибку обработки   
подключения к USB модемам.   
Проблема характерна и для других дистрибутивов SuSE9.3 в частности   
http://www.linuxquestions.org/questions/history/321834   
Steps to Reproduce:
1.В wvdial.conf Modem = /dev/ttyACM0 
2.Модуль crm_acm загружен 
3.echo "ATDT123123" > /dev/ttyACM0 
 приводит к набору номера телефоном 
4. вызываем дозвон wvdial от root 

Actual Results:  
Ошибка wvdial 
Cannot open /dev/ttyACM0  Cannot get information for serial port 

Expected Results:  
 дозвон и установление ppp соединения
------- Comment #1 From 2005-10-14 15:41:43 -------
2 rider: а для 3.0 это критично или нунафиг?
------- Comment #2 From 2005-10-14 15:56:18 -------
(In reply to comment #1) 
> 2 rider: а для 3.0 это критично или нунафиг? 
Критично! 
в sisyphus@ смотри ветку 
Мобильный телефон и Branch-3.0 
 Дата: 2005-09-14 18:05 
PS http://lists.altlinux.ru/pipermail/sisyphus/ - мне сейчас недоступно 
 
------- Comment #3 From 2005-10-14 17:47:12 -------
критично для тех, кто сидит на branch'е.

Для Compact'а - явно не критично.
------- Comment #4 From 2005-10-15 11:23:32 -------
Try this patch.

--- wvstreams-4.0.2/streams/wvmodem.cc- 2005-03-24 02:01:23 +0000
+++ wvstreams-4.0.2/streams/wvmodem.cc 2005-10-15 07:20:42 +0000
@@ -191,7 +191,7 @@ void WvModem::setup_modem(bool rtscts)
     
     drain();
     
-#if HAVE_LINUX_SERIAL_H
+#if 0
     struct serial_struct old_sinfo, sinfo;
     sinfo.reserved_char[0] = 0;
     if (ioctl(getrfd(), TIOCGSERIAL, &old_sinfo) < 0)
------- Comment #5 From 2005-10-15 18:48:19 -------
SmartLink WinModem no longer works with wvdial 1.54
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=297694
------- Comment #6 From 2005-10-15 20:15:07 -------
Хм. "Cannot get information for serial port" -- это не фатальная ошибка, просто
warning.
------- Comment #7 From 2005-10-16 12:03:36 -------
Нет, это не warning.  Короче, пробуем мой патч.
------- Comment #8 From 2009-02-23 18:24:53 -------
realssign
------- Comment #9 From 2009-02-26 08:51:44 -------
(В ответ на комментарий №4)
> Try this patch.

Попробую.
------- Comment #10 From 2009-03-03 06:41:37 -------
fixed:
4.5.1-alt2
------- Comment #11 From 2009-03-20 20:08:39 -------
fixed (sorry for long time to set resolved)